Bug 130187 - anaconda startup failure due to the new parted library
anaconda startup failure due to the new parted library
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-08-17 15:50 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 15:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-08-17 15:50:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
exception thrown due to missing libparted
the error occurs on the installation screen and I couldn't copy all
the messages before the machine rebooted

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. burn boot.iso to CD-RW
2. boot and answer questions (HTTP install)
3. watch anaconda startup fail

Actual Results:  missing library exception

Additional info:
Comment 1 Jeremy Katz 2004-08-17 15:54:10 EDT
Fixed with pyparted 1.6.8.  parted ABI changed in 1.6.12 and I didn't
think about that consequence yesterday.
Comment 2 G.Wolfe Woodbury 2004-08-18 14:46:01 EDT
now anaconda fails with a couple of partition related assertion failures!

Assertion (ped_partition_is_active(part)) at
disk.c:935 in function ped_partition_get_flag() failed.

[ignore selected, then ]

Assertion (par->disk_specific != NULL ) at disk_dos.c:1161 in
function msdos_partition_get_flag() failed.

[there are no msdos partitions on the disks of this system]

This is probably also from the parted stuff,  do you want a new bug
Comment 3 G.Wolfe Woodbury 2004-08-19 17:41:47 EDT
anaconda (rawhide) of 2004-08-18 still throws the first assertion bug,
but selecting "cancel" allows installation to proceed.

additionally, installation of IPROUTE RPM still fails unless selinux=0
is given on the boot line
Comment 4 Brent Fox 2004-08-23 15:06:26 EDT
Jeremy, I'm seeing the behavior ggw describes in Comment #3 in the
rawhide-20040823 tree.  Clicking "Cancel" appears to allow anaconda to
proceed, but this is something that should be looked at.

Setting state to Assigned.
Comment 5 Jeremy Katz 2004-08-23 15:08:37 EDT
Please file that as a separate bug.  Otherwise, things are going to
get hopelessly confused (and I have a box I can reproduce this on,
just need the hour or so to sit down and debug it).
Comment 6 Brent Fox 2004-08-23 15:13:42 EDT
Ok, I just filed bug #130692.

Note You need to log in before you can comment on or make changes to this bug.